Subject: Re: bug#78474: 31.0.50; Wrong char insertion in rxvt

From: Samuel Thibault <[email-masked]>
Date: Thu, 24 Jul 2025 09:49:27 +0200

Eli Zaretskii, le jeu. 24 juil. 2025 10:38:17 +0300, a ecrit:
> > Date: Thu, 24 Jul 2025 09:14:46 +0200
> > From: Samuel Thibault <[email-masked]>
> > Cc: [email-masked], [email-masked], [email-masked],
> > 	[email-masked], [email-masked]
> > 
> > Eli Zaretskii, le jeu. 24 juil. 2025 09:40:43 +0300, a ecrit:
> > > > From: Samuel Thibault <[email-masked]>
> > > > The choice of terminal hardly changes anything at all. It's emacs that
> > > > consumes one core 100%, while the terminal consumes 1-3% only.
> > > 
> > > I'd encourage others to run similar benchmarks on these and other
> > > terminals.  Gnome-terminal, alacritty, kitty, screen, tmux, and the
> > > Linux console come to mind.  Also, if someone can test this in a
> > > remote-login session, especially over a slow connection, those numbers
> > > would be important to have.
> > 
> > Really, I strongly doubt there will be any kind of difference, since
> > it's emacs that goes 100% cpu and the terminal does essentially nothing.
> > 
> > I tried via ssh, screen and tmux to check, it's just all the
> > same: emacs eating 100% and ssh not even eating 1%.
> 
> That's expected with fast connections, yes.

It eats just 1Mbps.

I looked at the output, this is the amount difference:

-rw-r--r-- 1 samy samy 2154142 24 juil. 09:48 typescript-csiC
-rw-r--r-- 1 samy samy 2150934 24 juil. 09:46 typescript-tabbs

Samuel